<template>
  <div>
    <div
      v-if="loading"
      class="w-full pt-48 grid place-items-center"
    >
      <CommonLoader/>
    </div>
    <template v-else>
      <h1 class="mb-8">Which image best resembles your pattern of baldness?</h1>
      <div class="grid grid-cols-2 gap-3">
        <div
          class="shadow-input p-6 bg-white rounded-lg cursor-pointer active:opacity-60"
          v-for="choice in choices"
          :key="choice.value"
          @click="handleClick(choice)"
        >
          <img :src="choice.img" alt="hair icon" class="w-full">
        </div>
      </div>
    </template>

  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";
import CommonLoader from "@/components/common/CommonLoader";

export default {
  components: {CommonLoader},
  mixins: [answersMixin],
  name: "YourHair5",
  data() {
    return {
      loading: false,
      choices: [
        {
          value: 'baldness_01',
          img: require('@/assets/img/common/baldness-01.png')
        },
        {
          value: 'baldness_02',
          img: require('@/assets/img/common/baldness-02.png')
        },
        {
          value: 'baldness_03',
          img: require('@/assets/img/common/baldness-03.png')
        },
        {
          value: 'baldness_04',
          img: require('@/assets/img/common/baldness-04.png')
        },
      ]
    }
  },
  methods: {
    handleClick(choice) {
      this.loading = true
      setTimeout(() => {
        this.setAnswer(this.answersKeys.YOUR_HAIR, choice, 'stage_5')
        this.$emit('nextStage')
      }, 1000)
    }
  }
}
</script>

<style scoped>

</style>
